{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends '_layout.html.twig' %}
{% block title %}Notifications{% endblock %}
{% set _breadcrumb = ['Notifications'] %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Notifications <small>sur les {{ days }} derniers jours</small>
        </h1>
    </section>

    <section class="content">
        {% if dates|length > 0 %}
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <ul class="timeline timeline-notification">
                    {% for date,notifications in dates %}
                    <!-- timeline time label -->
                    <li class="time-label">
                      <span class="bg-gray">
                        {{ (date|moment).format('d M Y') }}
                      </span>
                    </li>
                    <!-- /.timeline-label -->
                    {% for notification in notifications %}
                    <!-- timeline item -->
                        <li class="level-{{ notification.levelName|lower }}">
                            <i class="fa fa-info"></i>
                            <div class="timeline-item{#{% if notification.levelName in ["ERROR", "CRITICAL", "ALERT", "EMERGENCY"] %} timeline-item-danger{% endif %}#}">
                                <span class="time"><i class="fa fa-clock-o"></i>&nbsp;&nbsp;{{ (notification.dateTime|moment).format('H:i') }}</span>
                                <h3 class="timeline-header notification">
                                    {% set route = notification.route %}
                                    {% if route is not null and route is not empty %}
                                        <a href="{{ path(route, notification.routeParams ?: {}) }}">
                                            {{ notification.message|raw }}
                                        </a>
                                    {% else %}
                                        {{ notification.message|raw }}
                                    {% endif %}
                                </h3>
                                {% if notification.description %}
                                <div class="timeline-body">
                                    {{ notification.description|raw }}
                                </div>
                                {% endif %}
                            </div>
                        </li>
                    {% endfor %}
                    <!-- END timeline item -->
                    {% endfor %}
                    <li>
                        <i class="fa fa-clock-o bg-gray"></i>
                    </li>
                </ul>
            </div>
        </div>
        {% else %}
            <div class="blankslate blankslate-spacious">
                <h3>Vous n'avez aucune notification</h3>
                <p>C'est plutôt une bonne nouvelle, n'est-ce pas ?</p>
            </div>
        {% endif %}
    </section>
{% endblock %}
